from pytlex_core import IndeterminacyDetector, Z3_tcsp_solver
from pytlex_tests import Testing_utilities

if __name__ == '__main__':
    graphs = Testing_utilities.all_graphs(consistent=True)
    i = 0

    print(Z3_tcsp_solver.solve(Testing_utilities.indeterminant_graph_1()))
    print("Indeterminant sections: ", end="")
    results = IndeterminacyDetector.solve(Testing_utilities.indeterminant_graph_1())
